Bug 319441 - kernel chooses wrong clock source
kernel chooses wrong clock source
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
: 321621 322411 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-10-04 19:56 EDT by Gordon Messmer
Modified: 2008-04-06 14:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-06 14:43:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output after waiting for bad clock source (15.03 KB, text/plain)
2007-10-04 19:56 EDT, Gordon Messmer
no flags Details

  None (edit)
Description Gordon Messmer 2007-10-04 19:56:42 EDT
Description of problem:
During boot on my IBM X40 laptop, the installer hangs at "running /sbin/loader",
and goes no further for several minutes.  During this time, console 3 lists a
number of modules loaded, and several inserted, ending with /tmp/loop.ko. 
Console 4 has normal looking kernel messages ending with:

<4>loader used greatest stack depth: 2296 bytes left
<6>loop: module loaded 

After several minutes, the installation process continues.

dmesg reports "Clocksource tsc unstable (delta = -139639622012 ns) " after
"loop: module loaded".  If I boot the system with the kernel option
"clocksource=acpi_pm", I don't have this problem.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Gordon Messmer 2007-10-04 19:56:42 EDT
Created attachment 216831 [details]
dmesg output after waiting for bad clock source
Comment 2 Chuck Ebbert 2007-10-09 17:38:20 EDT
*** Bug 322411 has been marked as a duplicate of this bug. ***
Comment 3 Patrick Mowry 2007-10-11 22:10:35 EDT
*** Bug 321621 has been marked as a duplicate of this bug. ***
Comment 4 Christopher Brown 2008-02-03 17:38:31 EST

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 5 Gordon Messmer 2008-02-04 20:30:03 EST
I *think* this was resolved before the final F8 release.  If it comes up when I
test F9, I'll reopen this bug.
Comment 6 Christopher Brown 2008-02-04 20:42:14 EST
Please do Gordon. I'm closing WORKSFORME at the moment - you can also test with
a 2.6.24-based kernel from rawhide if you wish.
Comment 7 Daniel Qarras 2008-02-16 15:44:03 EST
Please, don't shoot the messenger, but I was just hit by this when I booted with
Fedora 9 Alpha 1 DVD. Symptoms are exactly the same as in Comment 1 and in my
earlier report in Bug 322411.

Strangely enough, there has been no such problems with any Fedora 8 kernels
after its installation.
Comment 8 Daniel Qarras 2008-02-16 15:44:56 EST
Oh, well, I can't reopen this bug. I'll reopen my earlier Bug 322411 instead, then.
Comment 9 Jon Stanley 2008-02-16 16:27:21 EST
*** Bug 322411 has been marked as a duplicate of this bug. ***
Comment 10 Jon Stanley 2008-02-16 16:28:23 EST
Re-opening per comment #8, changing version to rawhide
Comment 11 Daniel Qarras 2008-04-06 08:17:35 EDT
I'm happy to inform that this bug is not present in Fedora 9 Beta!
Comment 12 Jon Stanley 2008-04-06 14:43:08 EDT
Awesome!  I'll go ahead and close this bug then.

Note You need to log in before you can comment on or make changes to this bug.